### Class

# WebKit XRPermissionRequest

since: 2.52

#### Description [src]

    final class WebKit.XRPermissionRequest : GObject.Object
      implements WebKit.PermissionRequest {
      /* No available fields */
    }

A permission request for accessing virtual reality (VR) and augmented reality (AR) devices, including sensors and head-mounted displays.

WebKitXRPermissionRequest represents a request for permission to decide whether WebKit can initialize an XR session through the WebXR API.

When a WebKitXRPermissionRequest is not handled by the user, it is denied by default.

Available since: 2.52

#### Ancestors

- GObject

#### Implements

- WebKitPermissionRequest

#### Instance methods

###### webkit_xr_permission_request_get_consent_optional_features

Gets the optional features that need user consent.

since: 2.52

###### webkit_xr_permission_request_get_consent_required_features

Gets the required features that need user consent.

since: 2.52

###### webkit_xr_permission_request_get_granted_features

Gets the features requested by the origin for the XR device, which are either granted by default or have been explicitly granted by the user.

since: 2.52

###### webkit_xr_permission_request_get_optional_features_requested

Gets the full set of optional features requested by the web application.

since: 2.52

###### webkit_xr_permission_request_get_required_features_requested

Gets the full set of required features requested by the web application.

since: 2.52

###### webkit_xr_permission_request_get_security_origin

Gets the security origin that initiated the permission request.

since: 2.52

###### webkit_xr_permission_request_get_session_mode

Gets the session mode for which permission is being requested.

since: 2.52

###### webkit_xr_permission_request_set_granted_optional_features

Sets which optional features should be granted if the permission request is allowed.

since: 2.52

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitPermissionRequest (2)

###### webkit_permission_request_allow

Allow the action which triggered this request.

###### webkit_permission_request_deny

Deny the action which triggered this request.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitXRPermissionRequestClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.